---
title: "Read entity capital graph"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/capital-graph`

## Path parameters

- `id` (`entity-capital-graph-read.path.id`; string, required)
  - format `uuid`

## Query parameters

- `investorLimit` (`entity-capital-graph-read.query.investorLimit`; integer, optional)
  - min 1; max 100
- `peerLimit` (`entity-capital-graph-read.query.peerLimit`; integer, optional)
  - min 1; max 80

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/capital-graph'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/capital-graph';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/capital-graph"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "center": {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "name": "string",
    "slug": "string",
    "logoUrl": "string",
    "kind": "company"
  },
  "audience": "public",
  "nodes": [
    {
      "id": "string",
      "kind": "company",
      "ring": 2,
      "label": "string",
      "slug": "string",
      "logoUrl": "string",
      "title": "string",
      "portfolioCount": 0,
      "sharedInvestorCount": 0,
      "familyMembers": []
    }
  ],
  "edges": [
    {
      "id": "string",
      "source": "string",
      "target": "string",
      "kind": "invested_in",
      "weight": 0,
      "confidence": 1,
      "provenance": "reviewed_public",
      "relationshipType": "string",
      "roundHint": "string",
      "evidenceUrl": "string"
    }
  ],
  "summary": {
    "investorCount": 0,
    "peerCount": 0,
    "coInvestmentPairCount": 0,
    "pathCount": 0,
    "truncated": {
      "investors": true,
      "peers": true
    }
  },
  "computedAt": "string"
}
```

- `center` (`entity-capital-graph-read.response.200.center`; object, required)
  - `entityId` (`entity-capital-graph-read.response.200.center.entityId`; string, required)
    - format `uuid`
  - `name` (`entity-capital-graph-read.response.200.center.name`; string, required)
    - minLength 1
  - `slug` (`entity-capital-graph-read.response.200.center.slug`; string, required, nullable)
  - `logoUrl` (`entity-capital-graph-read.response.200.center.logoUrl`; string, required, nullable)
  - `kind` (`entity-capital-graph-read.response.200.center.kind`; string, required)
    - one of `"company"`, `"investor"`
- `audience` (`entity-capital-graph-read.response.200.audience`; string, required)
  - one of `"public"`, `"member"`
- `nodes` (`entity-capital-graph-read.response.200.nodes`; array<object>, required)
  - `id` (`entity-capital-graph-read.response.200.nodes.id`; string, required)
    - minLength 1
  - `kind` (`entity-capital-graph-read.response.200.nodes.kind`; string, required)
    - one of `"company"`, `"investor"`, `"person"`
  - `ring` (`entity-capital-graph-read.response.200.nodes.ring`; integer, required)
    - min 0; max 2
  - `label` (`entity-capital-graph-read.response.200.nodes.label`; string, required)
    - minLength 1
  - `slug` (`entity-capital-graph-read.response.200.nodes.slug`; string, required, nullable)
  - `logoUrl` (`entity-capital-graph-read.response.200.nodes.logoUrl`; string, required, nullable)
  - `title` (`entity-capital-graph-read.response.200.nodes.title`; string, required, nullable)
  - `portfolioCount` (`entity-capital-graph-read.response.200.nodes.portfolioCount`; integer, required, nullable)
    - min 0
  - `sharedInvestorCount` (`entity-capital-graph-read.response.200.nodes.sharedInvestorCount`; integer, required, nullable)
    - min 0
  - `familyMembers` (`entity-capital-graph-read.response.200.nodes.familyMembers`; array<object>, optional)
    - default `[]`
    - `entityId` (`entity-capital-graph-read.response.200.nodes.familyMembers.entityId`; string, required)
      - format `uuid`
    - `name` (`entity-capital-graph-read.response.200.nodes.familyMembers.name`; string, required)
      - minLength 1
- `edges` (`entity-capital-graph-read.response.200.edges`; array<object>, required)
  - `id` (`entity-capital-graph-read.response.200.edges.id`; string, required)
    - minLength 1
  - `source` (`entity-capital-graph-read.response.200.edges.source`; string, required)
    - minLength 1
  - `target` (`entity-capital-graph-read.response.200.edges.target`; string, required)
    - minLength 1
  - `kind` (`entity-capital-graph-read.response.200.edges.kind`; string, required)
    - one of `"invested_in"`, `"co_invested"`, `"works_at"`, `"connected"`
  - `weight` (`entity-capital-graph-read.response.200.edges.weight`; integer, required)
    - min 0
  - `confidence` (`entity-capital-graph-read.response.200.edges.confidence`; number, required)
    - min 0; max 1
  - `provenance` (`entity-capital-graph-read.response.200.edges.provenance`; string, required)
    - one of `"reviewed_public"`, `"sourced"`
  - `relationshipType` (`entity-capital-graph-read.response.200.edges.relationshipType`; string, required, nullable)
  - `roundHint` (`entity-capital-graph-read.response.200.edges.roundHint`; string, required, nullable)
  - `evidenceUrl` (`entity-capital-graph-read.response.200.edges.evidenceUrl`; string, required, nullable)
- `summary` (`entity-capital-graph-read.response.200.summary`; object, required)
  - `investorCount` (`entity-capital-graph-read.response.200.summary.investorCount`; integer, required)
    - min 0
  - `peerCount` (`entity-capital-graph-read.response.200.summary.peerCount`; integer, required)
    - min 0
  - `coInvestmentPairCount` (`entity-capital-graph-read.response.200.summary.coInvestmentPairCount`; integer, required)
    - min 0
  - `pathCount` (`entity-capital-graph-read.response.200.summary.pathCount`; integer, required)
    - min 0
  - `truncated` (`entity-capital-graph-read.response.200.summary.truncated`; object, required)
    - `investors` (`entity-capital-graph-read.response.200.summary.truncated.investors`; boolean, required)
    - `peers` (`entity-capital-graph-read.response.200.summary.truncated.peers`; boolean, required)
- `computedAt` (`entity-capital-graph-read.response.200.computedAt`; string, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-capital-graph-read.response.400.error`; object, required)
  - `code` (`entity-capital-graph-read.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-capital-graph-read.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-capital-graph-read.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-capital-graph-read.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-capital-graph-read.response.401.error`; object, required)
  - `code` (`entity-capital-graph-read.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-capital-graph-read.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-capital-graph-read.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-capital-graph-read.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-capital-graph-read.response.403.error`; object, required)
  - `code` (`entity-capital-graph-read.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-capital-graph-read.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-capital-graph-read.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-capital-graph-read.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-capital-graph-read.response.404.error`; object, required)
  - `code` (`entity-capital-graph-read.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-capital-graph-read.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-capital-graph-read.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-capital-graph-read.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-capital-graph-read.response.409.error`; object, required)
  - `code` (`entity-capital-graph-read.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-capital-graph-read.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-capital-graph-read.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-capital-graph-read.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-capital-graph-read.response.422.error`; object, required)
  - `code` (`entity-capital-graph-read.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-capital-graph-read.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-capital-graph-read.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-capital-graph-read.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-capital-graph-read.response.429.error`; object, required)
  - `code` (`entity-capital-graph-read.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-capital-graph-read.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-capital-graph-read.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-capital-graph-read.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-capital-graph-read.response.500.error`; object, required)
  - `code` (`entity-capital-graph-read.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-capital-graph-read.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-capital-graph-read.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-capital-graph-read.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-capital-graph-read.response.503.error`; object, required)
  - `code` (`entity-capital-graph-read.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-capital-graph-read.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-capital-graph-read.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-capital-graph-read.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-capital-graph-read/index.md
